{ config, ... }:
{
  fileSystems = {
    "/persist/storage" = {
      device = "/dev/disk/by-uuid/d0d6783f-ad51-4d85-b8a9-3374f6460ef6";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
      ];
    };

    # Network mounts
    "/home/${config.sysusers.main}/Network/Midas" = {
      device = "10.2.0.1:/storage";
      fsType = "nfs4";
      options = [
        "noatime"
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${config.sysusers.main}/Network/Kitty" = {
      device = "10.2.0.2:/storage/bun";
      fsType = "nfs4";
      options = [
        "noatime"
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${config.sysusers.main}/Network/Prophet" = {
      device = "mx.nixfox.ca:/storage";
      fsType = "nfs4";
      options = [
        "noatime"
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
