{ config, ... }:
{
  fileSystems = {
    # Games and such
    "/mnt/Linux1" = {
      device = "/dev/disk/by-uuid/b2901f8c-ffda-4b88-bb63-a9ea0c96ccb4";
      fsType = "ext4";
      options = [
        "nofail"
        "nosuid"
      ];
    };
    "/mnt/Linux2" = {
      device = "/dev/disk/by-uuid/f08e4f38-162c-402f-ba2a-5925151b78bf";
      fsType = "ext4";
      options = [
        "nofail"
        "nosuid"
      ];
    };
    "/mnt/Linux3" = {
      device = "/dev/disk/by-uuid/e7bc75bd-c371-4b28-b212-7be9b1fad339";
      fsType = "ext4";
      options = [
        "nofail"
        "nosuid"
      ];
    };

    # Bulk storage mounts
    "/persist/var/lib/libvirt" = {
      device = "/dev/disk/by-uuid/abf78669-de2a-4afa-8e62-604f4e4cb355";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
        "subvol=libvirt"
      ];
    };

    # Network mounts
    "/home/${config.sysusers.main}/Network/Midas" = {
      device = "11.0.0.1:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${config.sysusers.main}/Network/Kitty" = {
      device = "11.0.0.2:/storage/bun";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${config.sysusers.main}/Network/Prophet" = {
      device = "mx.nixfox.ca:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
